package com.ustadmobile.core.db.dao

import com.ustadmobile.lib.db.entities.ContentCategory
import kotlin.Long
import kotlin.String
import kotlin.Unit
import kotlin.collections.List

public actual abstract class ContentCategoryDao : BaseDao<ContentCategory> {
  public actual abstract suspend fun replicateOnNewNode(newNodeId: Long): Unit

  public actual abstract suspend fun replicateOnChange(): Unit

  public actual abstract fun publicContentCategories(): List<ContentCategory>

  public actual abstract fun findCategoryBySchemaIdAndName(schemaId: Long, name: String):
      ContentCategory?
}
