package com.ustadmobile.core.db.dao

import com.ustadmobile.door.paging.DataSourceFactory
import com.ustadmobile.lib.db.entities.LearnerGroup
import kotlin.Int
import kotlin.Long
import kotlin.Unit
import kotlin.collections.List

public actual abstract class LearnerGroupDao : BaseDao<LearnerGroup> {
  public actual abstract suspend fun replicateOnNewNode(newNodeId: Long): Unit

  public actual abstract suspend fun replicateOnChange(): Unit

  public actual abstract fun findGroupsForEntryAsync(contentEntryUid: Long):
      DataSourceFactory<Int, LearnerGroup>

  public actual abstract fun findGroupListForEntry(contentEntryUid: Long): List<LearnerGroup>
}
